Get data blocks from a given repo, by CID. For example, intermediate MST nodes, or records. Does not require auth; implemented by PDS.
GET
/xrpc/com.atproto.sync.getBlocks
const url = 'https://example.com/xrpc/com.atproto.sync.getBlocks?did=example&cids=example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/xrpc/com.atproto.sync.getBlocks?did=example&cids=example'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”did
required
The DID of the repo.
string format: did
The DID of the repo.
cids
required
Array<string>
Responses
Section titled “Responses”Success
Media typeapplication/vnd.ipld.car
Bad Request
